Package org.gradle.tooling.events.problems

# Interface ProblemDefinition

@Incubating public interface ProblemDefinition
Represents a problem definition.

Since:
  8.9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable DocumentationLink`
  `getDocumentationLink()`
  A link to the documentation for this problem.
  `ProblemId`
  `getId()`
  The id of the problem.
  `Severity`
  `getSeverity()`
  Problem severity.

- ## Method Details

  - ### getId

    ProblemId getId()
    The id of the problem.
    Returns:
      the id.
    Since:
      8.9

  - ### getSeverity

    Severity getSeverity()
    Problem severity.

    The severity of a problem is a hint to the user about how important the problem is. ERROR will fail the build, WARNING will not.

    Since:
      8.9

  - ### getDocumentationLink

    @Nullable DocumentationLink getDocumentationLink()
    A link to the documentation for this problem.
    Since:
      8.9